salesforce.cdp.hyperdb.v1

## Interface QueryResultSchemaOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  QueryResultSchema, QueryResultSchema.Builder

    public interface QueryResultSchemaOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`ColumnDescription` `getColumns(int index)` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription columns = 1;`
`int` `getColumnsCount()` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription columns = 1;`
`List<ColumnDescription>` `getColumnsList()` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription columns = 1;`
`ColumnDescriptionOrBuilder` `getColumnsOrBuilder(int index)` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription columns = 1;`
`List<? extends ColumnDescriptionOrBuilder>` `getColumnsOrBuilderList()` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription columns = 1;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getColumnsList

    List<ColumnDescription> getColumnsList()

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription columns = 1;`

#### getColumns

    ColumnDescription getColumns(int index)

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription columns = 1;`

#### getColumnsCount

    int getColumnsCount()

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription columns = 1;`

#### getColumnsOrBuilderList

    List<? extends ColumnDescriptionOrBuilder> getColumnsOrBuilderList()

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription columns = 1;`

#### getColumnsOrBuilder

    ColumnDescriptionOrBuilder getColumnsOrBuilder(int index)

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription columns = 1;`